#
# spec file for package net6
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           net6
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  gnutls-devel
BuildRequires:  libsigc++2-devel
BuildRequires:  pkg-config
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Version:        1.3.14
Release:        0.3.1
Summary:        Network access framework for IPv4/IPv6
Url:            http://gobby.0x539.de/
Source:         http://releases.0x539.de/net6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%description
net6 is a library which eases the development of network-based
applications as it provides a TCP protocol abstraction for C++. It is
portable to both the Windows and Unix-like platforms.

%package devel
License:        LGPL-2.1+
Summary:        Network access framework for IPv4/IPv6
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} gnutls-devel libsigc++2-devel

%description devel
net6 is a library which eases the development of network-based
applications as it provides a TCP protocol abstraction for C++. It is
portable to both the Windows and Unix-like platforms.

%lang_package
%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
%fdupes $RPM_BUILD_ROOT
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/net6
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Mon Nov  7 2011 dimstar@opensuse.org
- Update to version 1.3.14:
  + Ensure that overflows on the user ID assigned to each
    connection do not yield one that is already in use.
    [CVE-2011-4093]
  + Do not leak information about logged-in users. [CVE-2011-4091]
  + Fix build failures with GnuTLS 3.0 and above
  + Updated translations
- Drop net6-gnutls-3.0.3.patch and net6-gnutls-3.0.patch: fixed
  upstream.
* Wed Sep 28 2011 vuntz@opensuse.org
- Add net6-gnutls-3.0.3.patch: fix build with gnutls 3.0.3.
* Mon Sep  5 2011 vuntz@opensuse.org
- Add net6-gnutls-3.0.patch: fix build with gnutls 3.0.
* Tue Apr 26 2011 dimstar@opensuse.org
- Update to version 1.3.13:
  + Updated translations.
* Thu Dec 24 2009 vuntz@opensuse.org
- Update to version 1.3.12:
  + Allow non-blocking sockets on *nix.
  + Updated translations.
* Tue Dec  8 2009 dimstar@opensuse.org
- Update to version 1.3.11:
  + Fix possible TLS lockup on Windows
  + Updated translations.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 1.3.10:
  + Ensure compatibility with GnuTLS >= 2.7.x by relying on
    pkg-config.
  + Set SO_REUSEADDR on server sockets to ensure fast server
    restarts
  + Updated translations.
* Mon Jan  5 2009 mboman@suse.de
- Update to version 1.3.9:
  + Try to open both IPv6 and IPv4 listening sockets in case IPv6 sockets
    do not accept IPv4 connections
* Fri Sep 12 2008 maw@suse.de
- Update to version 1.3.8:
  + Misc. fixes
  + Updated translations.
* Fri May 16 2008 crrodriguez@suse.de
- do not package unusable static libraries (there is
  no static gnutls)
* Thu Apr  3 2008 hpj@suse.de
- Upgrade to version 1.3.6:
  * Translation updates.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Aug  3 2007 maw@suse.de
- Update to version 1.3.5:
  + compilation and bug fixes.
* Tue Jan 30 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS for CXXFLAGS too.
* Tue Sep 26 2006 wstephenson@suse.de
- Update to version 1.3.1
  * Support encrypted communication via gnutls
  * Work over unix domain sockets
  * Detect dropped clients
  * IPv6 fixes
* Fri Sep 15 2006 jhargadon@suse.de
- applied a patch to fix compiler warnings in src/error.cpp for
  bug 204415.
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 lmichnovic@suse.cz
- Update to version 1.2.2 [#144674]
* Wed Jan 18 2006 lmichnovic@suse.cz
- Updated to version 1.2.1
* Fri Nov  4 2005 gekker@suse.de
- Initial import into autobuild, version 1.1.0
